#!/usr/bin/env python
#
#
#
#
import coral

L = coral.lang.UML14
l = L.getCorrespondingElement()
print l

P = L.Model.getPropertyByName("ownedElement")
p = P.getCorrespondingElement()
print p

m= coral.meta.UML14.Model()

assert m.ownedElement.__type__()==P
assert m.ownedElement.__meta__==p

